/*
 * Copyright (c) 2005-2007 CodeDroids ApS (http://www.codedroids.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about CodeDroids ApS, please see the
 * company website: http://www.codedroids.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * $LastChangedRevision: 132 $
 * $LastChangedDate: 2007-02-23 15:48:39 +0100 (Fri, 23 Feb 2007) $
 * 
 */

package com.codedroids.oc.freemarker;

import java.util.*;
import freemarker.template.*;
import org.opencms.file.CmsObject;

public class CmsObjectUserMethod implements TemplateMethodModelEx {
	private CmsObject cmso;
	public CmsObjectUserMethod(CmsObject cmso) {
		this.cmso = cmso;
	}
	public Object exec(List args) throws TemplateModelException {
		if (args.size() != 1 ) {
			throw new TemplateModelException("Requires following argument: ( property ) ");
		}
		String prop = ((SimpleScalar)args.get(0)).toString();
		String val = CmsUtils.user(cmso, prop);
		return new SimpleScalar(val);
	}
} 